<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Reporte Altas Activos Fijos</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
include "../../general.php";
include "../../token.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];

$mostrarsuc=$_POST["mostrarsuc"];
$consolidado=$_POST["consolidado"];
$afijo=$_POST["afijo"];
$sucursal=$_POST["sucursal"];
$empleado=$_POST["empleado"];
$marca=$_POST["marca"];
$modelo=$_POST["modelo"];
$familia=$_POST["familia"];
$subfamilia=$_POST["subfamilia"];
$grupo=$_POST["grupo"];
$subgrupo=$_POST["subgrupo"];
$orden=$_POST["orden"];
//$usuario=$_POST["usuario"];
$fechaini=$_POST["fechaini"];
$fechafin=$_POST["fechafin"];
$cod_contexto=$_POST["contexto"];

/*
$afijo_det=$_GET["afijo_det"];
$fechafin_det=$_GET["fechafin_det"];
$usuario_det=$_GET["usuario_det"];
*/

if($familia == '') { $familia = 0;}
if($subfamilia == '') { $subfamilia = 0;}
if($grupo == '') { $grupo = 0;}
if($subgrupo == '') { $subgrupo = 0;}

if($marca == '') { $marca = 0;}
if($modelo == '') { $modelo = 0;}

$n_decimales = 2;


?>
<body>
<?php


//Inicio reporte altas activos fijos

if($rep == 9 && $tipo == 1) { // if 2
	
	if($afijo == 0) { 
		$nom_afijo = 'Todos';
		$valor_afijo = ' ';
	} else {
		$resultaf = mysqli_query($link, "select pkyFixedAsset as cod, fldName as item, fldFactoryKey as cod_fabrica, fldAlternativeKey as cod_alt
							from 
							fasFixedAsset
							where
							pkyFixedAsset = '$afijo';");
		while ($row = mysqli_fetch_array($resultaf)) {
			$nom_afijo = $row['cod'].' - '.$row['cod_fabrica'].' - '.$row['cod_alt'].' - '.$row['item'];
		}
		mysqli_free_result($resultaf);
		$valor_afijo = ' a.pkyFixedAsset = ' .$afijo. ' and ';
	}
	
	
	if($sucursal == 0) { 
		$nom_sucursal = 'Todos';
		$valor_sucursal = ' ';
	} else {
		$resultsuc = mysqli_query($link, "select pkyCompanyBranch as cod_sucursal, fldName as sucursal
							from 
							agnCompanyBranch
							where
							pkyCompanyBranch = '$sucursal' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultsuc)) {
			$nom_sucursal = $row['sucursal'];
		}
		mysqli_free_result($resultsuc);
		$valor_sucursal = ' a.codCompanyBranch = ' .$sucursal. ' and ';
	}
	
	
	if($empleado == 0) { 
		$nom_empleado = 'Todos';
		$valor_empleado = ' ';
	} else {
		$resultemp = mysqli_query($link, "select pkyPerson as codigo, case when fldMiddleName is NULL then concat(fldLastName,', ',fldFirstName) else concat(fldLastName,' ',fldMiddleName,', ',fldFirstName) end as empleado
							from 
							agnPerson 
							where
							pkyPerson = '$empleado' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultemp)) {
			$nom_empleado = $row['codigo'].' - '.$row['empleado'];
		}
		mysqli_free_result($resultemp);
		$valor_empleado = ' a.codEmployeeResponsible = ' .$empleado. ' and ';
	}
	
	
	if ($familia == 0) { // if familia
		$nom_familia = 'Todos';
		$valor_familia = ' ';
	} else {
		//nombre familia
		$resultfam = mysqli_query($link, "select pkyFixedAssetCategory as cod, fldName as nombre
							from 
							fasFixedAssetCategory
							where
							pkyFixedAssetCategory = '$familia' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultfam)) {
			$nom_familia = $row['nombre'];
		}
		mysqli_free_result($resultfam);
		$valor_familia = ' a.codFamily = ' .$familia. ' and ';
	} //fin if familia

if ($subfamilia == 0) { // if subfamilia
		$nom_subfamilia = 'Todos';
		$valor_subfamilia = ' ';
	} else {
		//nombre sub familia
		$resultsubf = mysqli_query($link, "select pkyFixedAssetCategory as cod, fldName as nombre
							from 
							fasFixedAssetCategory
							where
							pkyFixedAssetCategory = '$subfamilia' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultsubf)) {
			$nom_subfamilia = $row['nombre'];
		}
		mysqli_free_result($resultsubf);
		$valor_subfamilia = ' a.codSubFamily = ' .$subfamilia. ' and ';
	} //fin if subfamilia
	
	if ($grupo == 0) { // if grupo
		$nom_grupo = 'Todos';
		$valor_grupo = ' ';
	} else {
		//nombre grupo
		$resultgru = mysqli_query($link, "select pkyFixedAssetCategory as cod, fldName as nombre
							from 
							fasFixedAssetCategory
							where
							pkyFixedAssetCategory = '$grupo' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultgru)) {
			$nom_grupo = $row['nombre'];
		}
		mysqli_free_result($resultgru);
		$valor_grupo = ' a.codGroup = ' .$grupo. ' and ';
	} //fin if grupo
	
	if ($subgrupo == 0) { // if subgrupo
		$nom_subgrupo = 'Todos';
		$valor_subgrupo = ' ';
	} else {
		//nombre sub grupo
		$resultsubg = mysqli_query($link, "select pkyFixedAssetCategory as cod, fldName as nombre
							from 
							fasFixedAssetCategory
							where
							pkyFixedAssetCategory = '$subgrupo' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultsubg)) {
			$nom_subgrupo = $row['nombre'];
		}
		mysqli_free_result($resultsubg);
		$valor_subgrupo = ' a.codSubGroup = ' .$subgrupo. ' and ';
	} //fin if subgrupo
	
	if ($marca == 0) { // if marca
		$nom_marca = 'Todos';
		$valor_marca = ' ';
	} else {
		//nombre marca
		$result5 = mysqli_query($link, "select pkyBrand as cod, fldName as marca 
								from invBrand 
								where 
								pkyBrand = '$marca' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result5)) {
			$nom_marca = $row['marca'];
		}
		mysqli_free_result($result5);
		$valor_marca = ' a.codBrand = ' .$marca. ' and ';
	} //fin if marca
	
	if ($modelo == 0) { // if modelo
		$nom_modelo = 'Todos';
		$valor_modelo = ' ';
	} else {
		//nombre modelo
		$result6 = mysqli_query($link, "select pkyBrandModel as cod, fldName as modelo 
								from invBrandModel 
								where 
								pkyBrandModel = '$modelo' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result6)) {
			$nom_modelo = $row['modelo'];
		}
		mysqli_free_result($result6);
		$valor_modelo = ' a.codBrandModel = ' .$modelo. ' and ';
	} //fin if modelo
	
	//contexto
	if($cod_contexto == -1){ 
		$nom_contexto = 'Todos';
		//$valor_contexto = ' ';
		$valor_contexto2 = ' ';
	} else {
		$resultcontx = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
		from srvContext
		where 
		pkyContext = '$cod_contexto';");
			while ($row = mysqli_fetch_array($resultcontx)) {   
				$nom_contexto = $row['cod_contexto'].' - '.$row['contexto'];
			}
			mysqli_free_result($resultcontx);
		//$valor_contexto = ' a.sysContext = '.$cod_contexto.' and '; //se quito de depreciacion y actualizacion, para que no cruce ya qu ela dep y act se hace en conjunto	
		$valor_contexto2 = ' e.sysContext = '.$cod_contexto.' and ';	
	}
	
	if($mostrarsuc == 0) {
		$nom_mostrarsuc = 'No';	
	} else {
		$nom_mostrarsuc = 'Si';
	}
	
	if($consolidado == 0) {
		$nom_consolidado = 'No';	
	} else {
		$nom_consolidado = 'Si';
	}
	
	if ($orden == 0) { // if 2.11
		$nom_orden = 'Item';
		if($mostrarsuc == 0) {
			$valor_orden = ' order by b.fldName, a.fldName ';
		} else {
			$valor_orden = ' order by a.codCompanyBranch, b.fldName, a.fldName ';
		}
	} //fin if 2.11
	if ($orden == 1) { // if 2.12
		$nom_orden = 'C&oacute;digo';
		if($mostrarsuc == 0) {
			$valor_orden = ' order by b.fldName, a.pkyFixedAsset ';
		} else {
			$valor_orden = ' order by a.codCompanyBranch, b.fldName, a.pkyFixedAsset ';
		}
	} //fin if 2.12
	if ($orden == 2) { // if 2.13
		$nom_orden = 'Cod. Alt.';
		if($mostrarsuc == 0) {
			$valor_orden = ' order by b.fldName, a.fldAlternativeKey ';
		} else {
			$valor_orden = ' order by a.codCompanyBranch, b.fldName, a.fldAlternativeKey ';
		}
	} //fin if 2.13
	

//listado de activos fijos 	
$result4 = mysqli_query($link, "select a.pkyFixedAsset as cod_af, a.fldFactoryKey as cod_fabrica, a.fldAlternativeKey as cod_alt, a.fldName as afijo, a.codFamily as cod_familia, b.fldName as familia, a.codSubFamily as cod_subfamilia, a.codGroup as cod_grupo, a.codSubGroup as cod_subgrupo, a.codBrand as cod_marca, a.codBrandModel as cod_modelo, a.codEmployeeResponsible as cod_emp, case when c.fldMiddleName is NULL then concat(c.fldLastName,', ',c.fldFirstName) else concat(c.fldLastName,' ',c.fldMiddleName,', ',c.fldFirstName) end as empleado, a.codCompanyBranch as cod_suc, d.fldName as sucursal, a.codExchangeRate as cod_tc, a.fldValue as valor, e.fldDate as fecha_alta, b.fldDepreciationTime as meses_dep, e.codAccountEntry as cod_asiento
from 
fasFixedAsset a, fasFixedAssetCategory b, agnPerson c, agnCompanyBranch d, fasFixedAssetMovement e
where 
$valor_afijo 
$valor_sucursal 
$valor_empleado 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_marca 
$valor_modelo 
$valor_contexto2 
a.codFamily = b.pkyFixedAssetCategory and 
a.codEmployeeResponsible = c.pkyPerson and 
a.codCompanyBranch = d.pkyCompanyBranch and 
a.pkyFixedAsset = e.codFixedAsset and 
e.codType = 1 and 
e.fldDate >= '$fechaini' and 
e.fldDate <= '$fechafin' and 
((a.sysEnabled = 1 and a.sysAuthorized = 1) or (a.sysEnabled = 0 and a.sysAuthorized = 0))
$valor_orden;");

$mat_af = array();
$i = 1;
while ($row = mysqli_fetch_array($result4)) {
	$mat_af [$i][1] = $row['cod_af'];
	$mat_af [$i][2] = $row['cod_fabrica'];
	$mat_af [$i][3] = $row['cod_alt'];
	$mat_af [$i][4] = $row['afijo'];
	$mat_af [$i][5] = $row['cod_familia'];
	$mat_af [$i][6] = $row['familia'];
	$mat_af [$i][7] = $row['cod_subfamilia'];
	$mat_af [$i][8] = $row['cod_grupo'];
	$mat_af [$i][9] = $row['cod_subgrupo'];
	$mat_af [$i][10] = $row['cod_marca'];
	$mat_af [$i][11] = $row['cod_modelo'];
	$mat_af [$i][12] = $row['cod_emp'];
	$mat_af [$i][13] = $row['empleado'];
	$mat_af [$i][14] = $row['cod_suc'];
	$mat_af [$i][15] = $row['sucursal'];
	$mat_af [$i][16] = $row['cod_tc'];
	$mat_af [$i][17] = $row['valor'];
	$mat_af [$i][18] = $row['fecha_alta'];
	$mat_af [$i][19] = $row['meses_dep'];
	$mat_af [$i][20] = $row['cod_asiento'];
	$mat_af [$i][21] = 0; //incremento actualizaciones mes actual
	$mat_af [$i][22] = NULL; //fecha ultima actualizacion
	$mat_af [$i][23] = 0; //actualizacion valor mes anterior
	$mat_af [$i][24] = 0; //depreciacion valor mes anterior
	$mat_af [$i][25] = 0; //depreciacion incremento mes anterior
	$mat_af [$i][26] = NULL; //fecha ultima depreciacion 
	$mat_af [$i][27] = 0; //depreciacion periodo mes actual
	$mat_af [$i][28] = NULL; //sub familia
	$mat_af [$i][29] = NULL; //grupo
	$mat_af [$i][30] = NULL; //sub grupo
	$mat_af [$i][31] = NULL; //marca
	$mat_af [$i][32] = NULL; //modelo
	$mat_af [$i][33] = 0; //valor actualizacion
	$mat_af [$i][34] = 0; //valor depreciacion
	$mat_af [$i][35] = 0; //valor en libros
	
	$cod_af = $mat_af [$i][1];
	$cod_subf = $mat_af [$i][7];
	$cod_grupo = $mat_af [$i][8];
	$cod_subgr = $mat_af [$i][9];
	$cod_marca = $mat_af [$i][10];
	$cod_modelo = $mat_af [$i][11];
	
	//suma valor de los incrementos en actualizaciones por si hacen diarias (mes actual)
	/*
	$result41 = mysqli_query($link, "select sum(b.fldValue) as valor
	from fasFixedAssetValueUpdate a, fasFixedAssetValueUpdateDetail b
	where 
	b.codFixedAsset = '$cod_af' and 
	a.fldDate >= '$fechaini' and 
	a.fldDate <= '$fechafin' and  
	a.pkyFixedAssetValueUpdate = b.codFixedAssetValueUpdate and 
	a.sysEnabled = 1 and a.sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($result41)) {
		$mat_af [$i][21] = $row['valor'];
	}
	mysqli_free_result($result41);
	*/
	//valor actualización valor, depreciacion valor, depreciacion incremento (mes anterior)
	
	$result42 = mysqli_query($link, "select a.fldDate as fecha, b.fldValue as valor, b.fldPreviousUpdatedValue as actualizacion_mes_ant, b.fldPreviousAccumulatedDepreciation as depreciacion_mes_ant, b.fldAccumulatedDepreciation as depreciacion_mes_ant_incremento
	from fasFixedAssetValueUpdate a, fasFixedAssetValueUpdateDetail b
	where 

	b.codFixedAsset = '$cod_af' and 
	a.fldDate >= '$fechaini' and 
	a.fldDate <= '$fechafin' and  
	a.pkyFixedAssetValueUpdate = b.codFixedAssetValueUpdate and 
	a.sysEnabled = 1 and a.sysAuthorized = 1 
	order by a.fldDate desc;");
	$c = 1; //para recuperar solo el primer registro
	while ($c == 1 && $row = mysqli_fetch_array($result42)) {
		$mat_af [$i][21] = $row['valor'];
		$mat_af [$i][22] = $row['fecha'];
		$mat_af [$i][23] = $row['actualizacion_mes_ant'];
		$mat_af [$i][24] = $row['depreciacion_mes_ant'];
		$mat_af [$i][25] = $row['depreciacion_mes_ant_incremento'];
		$c++;
	}
	mysqli_free_result($result42);
	
	//valor de la depreciacion del periodo (mes actual)
	
	$result43 = mysqli_query($link, "select a.fldDate as fecha, b.fldValue as depreciacion_periodo
	from fasFixedAssetDepreciation a, fasFixedAssetDepreciationDetail b
	where 
	
	b.codFixedAsset = '$cod_af' and 
	a.fldDate >= '$fechaini' and 
	a.fldDate <= '$fechafin' and  
	a.pkyFixedAssetDepreciation = b.codFixedAssetDepreciation and 
	a.sysEnabled = 1 and a.sysAuthorized = 1 
	order by a.fldDate desc;");
	$c = 1; //para recuperar solo el primer registro
	while ($c == 1 && $row = mysqli_fetch_array($result43)) {
		$mat_af [$i][26] = $row['fecha'];
		$mat_af [$i][27] = $row['depreciacion_periodo'];
		$c++;
	}
	mysqli_free_result($result43);
	
	//nombre sub familia
	$resultsubf = mysqli_query($link, "select pkyFixedAssetCategory as cod, fldName as nombre
						from 
						fasFixedAssetCategory
						where
						pkyFixedAssetCategory = '$cod_subf' and 
						sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultsubf)) {
		$mat_af [$i][28] = $row['nombre'];
	}
	mysqli_free_result($resultsubf);
	
	//nombre grupo
	$resultgrupo = mysqli_query($link, "select pkyFixedAssetCategory as cod, fldName as nombre
						from 
						fasFixedAssetCategory
						where
						pkyFixedAssetCategory = '$cod_grupo' and 
						sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultgrupo)) {
		$mat_af [$i][29] = $row['nombre'];
	}
	mysqli_free_result($resultgrupo);
	
	//nombre sub grupo
	$resultsubgr = mysqli_query($link, "select pkyFixedAssetCategory as cod, fldName as nombre
						from 
						fasFixedAssetCategory
						where
						pkyFixedAssetCategory = '$cod_subgr' and 
						sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultsubgr)) {
		$mat_af [$i][30] = $row['nombre'];
	}
	mysqli_free_result($resultsubgr);
	
	//nombre marca
	$result5 = mysqli_query($link, "select pkyBrand as cod, fldName as marca 
							from invBrand 
							where 
							pkyBrand = '$cod_marca' and 
							sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($result5)) {
		$mat_af [$i][31] = $row['marca'];
	}
	mysqli_free_result($result5);
	
	//nombre modelo
	$result6 = mysqli_query($link, "select pkyBrandModel as cod, fldName as modelo 
							from invBrandModel 
							where 
							pkyBrandModel = '$cod_modelo' and 
							sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($result6)) {
		$mat_af [$i][32] = $row['modelo'];
	}
	mysqli_free_result($result6);
	
	$mat_af [$i][33] = $mat_af [$i][21] + $mat_af [$i][23];
	$mat_af [$i][34] = $mat_af [$i][24] + $mat_af [$i][25] + $mat_af [$i][27];
	$mat_af [$i][35] = $mat_af [$i][33] - $mat_af [$i][34];
	
	$i++;
}
$fin_af = $i - 1;
mysqli_free_result($result4);


?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Reporte Altas Activos Fijos</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Activo Fijo: </b><?php echo $nom_afijo; ?></TD>
        <TD width="25%"><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        <TD width="25%"><b>Sucursal: </b><?php echo $nom_sucursal; ?></TD>
        <TD width="25%"><b>Responsable: </b><?php echo $nom_empleado; ?></TD>
        </TR>
        <TR>
        <TD><b>Familia: </b><?php echo $nom_familia; ?></TD>
        <TD><b>Sub Familia: </b><?php echo $nom_subfamilia; ?></TD>
        <TD><b>Grupo: </b><?php echo $nom_grupo; ?></TD>
        <TD><b>Sub Grupo: </b><?php echo $nom_subgrupo; ?></TD>
        </TR>
        <TR>
        <TD><b>Marca: </b><?php echo $nom_marca; ?></TD>
        <TD><b>Modelo: </b><?php echo $nom_modelo; ?></TD>
        <TD><b>Mostrar por Sucursal: </b><?php echo $nom_mostrarsuc; ?></TD>
        <TD><b>Solo Consolidado: </b><?php echo $nom_consolidado; ?></TD>
        </TR>
        <TR>
        <TD colspan="2"><b>De Fecha: </b><?php echo $fechaini; ?> <b>a Fecha: </b><?php echo $fechafin; ?></TD>
        <TD><b>Contexto: </b><?php echo $nom_contexto; ?></TD>
        <TD><b>Expresado en: </b><?php echo $nom_moneda_principal; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
<table border="1" align="center" cellpadding="2" width="100%">
    <thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Cod. Alt.</b></TD>
    <TD align="center"><b>Item</b></TD>
    <TD align="center"><b>Responsable</b></TD>
    <TD align="center"><b>Sucursal</b></TD>
    <TD align="center"><b>Sub Familia</b></TD>
    <TD align="center"><b>Grupo</b></TD>
    <TD align="center"><b>Sub Grupo</b></TD>
    <TD align="center"><b>Marca</b></TD>
    <TD align="center"><b>Modelo</b></TD>
    <TD align="center"><b>Dep. (Meses)</b></TD>
    <TD align="center"><b>Asiento</b></TD>
    <TD align="center" width="65"><b>Fecha Act.</b></TD>
    <TD align="center"><b>Valor Actualizaci&oacute;n</b></TD>
    <TD align="center" width="65"><b>Fecha Dep.</b></TD>
    <TD align="center"><b>Valor Depreciaci&oacute;n</b></TD>
    <TD align="center" width="65"><b>Fecha Compra</b></TD>
    <TD align="center"><b>Valor Compra</b></TD>
    <TD align="center"><b>Valor Residual</b></TD>
    </TR>
    </thead>
    <tbody class="marcafila">
    
  <?php
  $color = 2;
    
  $suma_act_periodo_par = 0;
  $suma_dep_periodo_par = 0;
  $suma_valor_compra_par = 0; 
  $suma_valor_residual_par = 0; 
  
  $suma_act_periodo_suc = 0;
  $suma_dep_periodo_suc = 0;
  $suma_valor_compra_suc = 0; 
  $suma_valor_residual_suc = 0; 
  
  $suma_act_periodo = 0;
  $suma_dep_periodo = 0;
  $suma_valor_compra = 0; 
  $suma_valor_residual = 0; 
  
  $i = 1;
while ($i <= $fin_af) { //while
	$cod_afijo = $mat_af [$i][1];
	$cod_asiento = $mat_af [$i][20];
	$valor_residual = $mat_af [$i][33] + $mat_af [$i][34];
  	if($valor_residual == 0) {//if 0 (controla si no hay act y dep ponde el valor de compra)
		$valor_residual = $mat_af [$i][17];
	} else {
		$valor_residual = $mat_af [$i][35];
	}//fin if 0
	//$total_act_mes_actual = $mat_af [$i][19] + $mat_af [$i][20];
	//$total_dep_mes_actual = $mat_af [$i][21] + $mat_af [$i][22] + $mat_af [$i][23];
	//$valor_residual = $total_act_mes_actual - $total_dep_mes_actual;
   	if($consolidado == 0) {//if consolidado
		if($color % 2 == 0) { //if color
			printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $mat_af [$i][1]);//cod
		} else {
			printf("<tr><td align='center'>%s</td>", $mat_af [$i][1]);//cod
		}//fin if color
	
		printf("<td align='center'>%s</td>", $mat_af [$i][2]);//cod alt
		printf("<td align='left'>%s</td>", $mat_af [$i][4]);//item
		printf("<td align='left'>%s</td>", $mat_af [$i][13]);//responsable
		printf("<td align='left'>%s</td>", $mat_af [$i][15]);//sucursal
		printf("<td align='left'>%s</td>", $mat_af [$i][28]);//sub familia
		printf("<td align='left'>%s</td>", $mat_af [$i][29]);//grupo
		printf("<td align='left'>%s</td>", $mat_af [$i][30]);//sub grupo
		printf("<td align='left'>%s</td>", $mat_af [$i][31]);//marca
		printf("<td align='left'>%s</td>", $mat_af [$i][32]);//modelo
		printf("<td align='right'>%s</td>", number_format($mat_af [$i][19],0));//dep meses
		printf("<td align='center'><a href='../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=$cod_asiento&showCC=0&user=$usuario&token=$token' title='Asiento Contable'>%s</a></td>", $mat_af [$i][20]);//asiento
		printf("<td align='center'>%s</td>", $mat_af [$i][22]);//fecha act
		printf("<td align='right'>%s</td>", number_format($mat_af [$i][33],$n_decimales));//valor act
		printf("<td align='center'>%s</td>", $mat_af [$i][26]);//fecha dep
		printf("<td align='right'>%s</td>", number_format($mat_af [$i][34],$n_decimales));//valor dep
		printf("<td align='center'>%s</td>", $mat_af [$i][18]);//fecha compra
		printf("<td align='right'>%s</td>", number_format($mat_af [$i][17],$n_decimales));//valor compra
		printf("<td align='right'>%s</td></tr>", number_format($valor_residual,$n_decimales));//valor residual
		
		//en el caso de habilitar el detalle, cuidado porque la fecha es en dias no en meses
		//printf("<td align='right'><a href='report.php?rep=9&tipo=2&afijo_det=$cod_afijo&fechafin_det=$fechafin&usuario_det=$usuario&token=$token' title='Detalle Activo Fijo'>%s</a></td></tr>", number_format($mat_af [$i][35],$n_decimales));//valor residual
   	}//fin if consolidado
	$suma_act_periodo_par = $suma_act_periodo_par + $mat_af [$i][33];   
	$suma_dep_periodo_par = $suma_dep_periodo_par + $mat_af [$i][34];
	$suma_valor_compra_par = $suma_valor_compra_par + $mat_af [$i][17];
	$suma_valor_residual_par = $suma_valor_residual_par + $valor_residual;
	
	$suma_act_periodo_suc = $suma_act_periodo_suc + $mat_af [$i][33];   
	$suma_dep_periodo_suc = $suma_dep_periodo_suc + $mat_af [$i][34];
	$suma_valor_compra_suc = $suma_valor_compra_suc + $mat_af [$i][17];
	$suma_valor_residual_suc = $suma_valor_residual_suc + $valor_residual;
	
	$suma_act_periodo = $suma_act_periodo + $mat_af [$i][33];   
	$suma_dep_periodo = $suma_dep_periodo + $mat_af [$i][34];
	$suma_valor_compra = $suma_valor_compra + $mat_af [$i][17];
	$suma_valor_residual = $suma_valor_residual + $valor_residual;
	
	if($mat_af [$i][5] != $mat_af [$i+1][5]) {//if familia
		printf("<tr BGCOLOR='#ffcccc'><td colspan='13'><b>Total %s</b></td>", $mat_af [$i][6]);	
		printf("<td align='right'><b>%s</b></td>", number_format($suma_act_periodo_par,$n_decimales));
		printf("<td>&nbsp;</td>");
		printf("<td align='right'><b>%s</b></td>", number_format($suma_dep_periodo_par,$n_decimales));
		printf("<td>&nbsp;</td>");
		printf("<td align='right'><b>%s</b></td>", number_format($suma_valor_compra_par,$n_decimales));
		printf("<td align='right'><b>%s</b></td></tr>", number_format($suma_valor_residual_par,$n_decimales));
		$suma_act_periodo_par = 0;
		$suma_dep_periodo_par = 0;
		$suma_valor_compra_par = 0; 
		$suma_valor_residual_par = 0;
	}//fin if familia
	
	if($mostrarsuc == 1 && $mat_af [$i][14] != $mat_af [$i+1][14]) {//if sucursal
		printf("<tr BGCOLOR='#ffcccc'><td colspan='13'><b>Total %s</b></td>", $mat_af [$i][15]);	
		printf("<td align='right'><b>%s</b></td>", number_format($suma_act_periodo_suc,$n_decimales));
		printf("<td>&nbsp;</td>");
		printf("<td align='right'><b>%s</b></td>", number_format($suma_dep_periodo_suc,$n_decimales));
		printf("<td>&nbsp;</td>");
		printf("<td align='right'><b>%s</b></td>", number_format($suma_valor_compra_suc,$n_decimales));
		printf("<td align='right'><b>%s</b></td></tr>", number_format($suma_valor_residual_suc,$n_decimales));
		$suma_act_periodo_suc = 0;
		$suma_dep_periodo_suc = 0;
		$suma_valor_compra_suc = 0; 
		$suma_valor_residual_suc = 0;
	}//fin if sucursal
	$color++;
	$i++;
}//fin while
	
?>
<tr BGCOLOR="#ffcccc"><td colspan="13"><b>Total General</b></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_act_periodo,$n_decimales)); ?></td>
<td>&nbsp;</td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_dep_periodo,$n_decimales)); ?></td>
<td>&nbsp;</td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_valor_compra,$n_decimales)); ?></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_valor_residual,$n_decimales)); ?></td>
</tr>
</tbody>
</table>
<?php

} //fin if 2

?>

